Bug 801322 - [5fdd65f5f4f5df1d28b0fb4f7efed226d5db1b3c] - rebalance status says rebalance completed before actually completing the rebalance
[5fdd65f5f4f5df1d28b0fb4f7efed226d5db1b3c] - rebalance status says rebalance ...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: unclassified (Show other bugs)
pre-release
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: shishir gowda
M S Vishwanath Bhat
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-08 04:57 EST by M S Vishwanath Bhat
Modified: 2016-05-31 21:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:56:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description M S Vishwanath Bhat 2012-03-08 04:57:31 EST
Description of problem:
'gluster volume rebalace status' displays 'rebalance completed!' before completing the rebalance.

Version-Release number of selected component (if applicable):
git master with head at 5fdd65f5f4f5df1d28b0fb4f7efed226d5db1b3c

How reproducible:
Often

Steps to Reproduce:
1. Create a 1 node distribute volume.
2. Create some data like untar the linux kernel1
3. Add one more brick using add-brick
4. Run 'rebalance start' and 'rebalance status' immediately  
  
Actual results:
'rebalance status' displays rebalance completed, but rebalance is not completed yet.

Expected results:
rebalance status should say which file is being moved and 'rebalance completed' should be displayed only after successful completion of rebalance.

Additional info:
Comment 1 shishir gowda 2012-03-08 05:31:06 EST
Were bricks on the same node?
If not, as of now if rebalance completes on the node where the command was issued, we get the status as completed, even if the migration is in progress.
Comment 2 M S Vishwanath Bhat 2012-03-08 05:37:48 EST
(In reply to comment #1)
> Were bricks on the same node?
> If not, as of now if rebalance completes on the node where the command was
> issued, we get the status as completed, even if the migration is in progress.

I issued the rebalance command on the node which had the newly added brick. After the 'rebalance completed' message is displayed, 'du -sh' on the back-end export of same node started increasing. So migration on that node was still happening when rebalance completed was displayed.
Comment 3 shishir gowda 2012-03-08 05:51:24 EST
This is a know issue, and a constraint right now.

The parallel rebalance now is a push operation, i.e, rebalance process of the src node is the actual worker in this case. Hence the rebalance process on the dst ran to completion, as it does not do actual migration.

We can keep this bug open, as we need to handle this issue.
Comment 4 Anand Avati 2012-03-15 00:52:54 EDT
CHANGE: http://review.gluster.com/2942 (dht: Rebalance status should display status from each process) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 5 M S Vishwanath Bhat 2012-05-30 09:00:56 EDT
Now rebalance status is displayed for each node in the cluster. Moving to verified.

Note You need to log in before you can comment on or make changes to this bug.